package com.engine.salary.mapper.report;

import com.engine.salary.report.entity.po.SalaryStatisticsPushPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Harryxzy
 * @ClassName SalaryStatisticsPushMapper
 * @date 2023/09/11 10:36
 * @description 报表分享
 */
public interface SalaryStatisticsPushMapper {
    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryStatisticsPushPO> listAll();

    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalaryStatisticsPushPO> listSome(SalaryStatisticsPushPO SalaryStatisticsPushPO);



    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    SalaryStatisticsPushPO getById(Long id);

    /**
     * 新增，忽略null字段
     *
     * @param SalaryStatisticsPushPO 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(SalaryStatisticsPushPO SalaryStatisticsPushPO);

    /**
     * 修改，修改所有字段
     *
     * @param SalaryStatisticsPushPO 修改的记录
     * @return 返回影响行数
     */
    int update(SalaryStatisticsPushPO SalaryStatisticsPushPO);

    /**
     * 修改，忽略null字段
     *
     * @param SalaryStatisticsPushPO 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(SalaryStatisticsPushPO SalaryStatisticsPushPO);

    /**
     * 删除记录
     *
     * @param SalaryStatisticsPushPO 待删除的记录
     * @return 返回影响行数
     */
    int delete(SalaryStatisticsPushPO SalaryStatisticsPushPO);

    /**
     * 获取该用户最新创建的分享记录
     * @param empId
     */
    List<SalaryStatisticsPushPO> listLatestRecordByCreator(@Param("empId") Long empId);

    /**
     * 根据报表id模糊查询
     * @param reportId
     * @return
     */
    List<SalaryStatisticsPushPO> listByReportIdAndIds(@Param("reportId") String reportId, @Param("ids") List<Long> ids);
}
